Bug 109934 - perl.req produces extra requirements for "=<<" blocks
Summary: perl.req produces extra requirements for "=<<" blocks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-13 04:27 UTC by Chen Xiangyang
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-28 15:13:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to perl.req (477 bytes, patch)
2003-11-13 04:30 UTC, Chen Xiangyang
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:098 normal SHIPPED_LIVE Updated rpm package fixes several bugs 2004-05-12 04:00:00 UTC

Description Chen Xiangyang 2003-11-13 04:27:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.4.1)
Gecko/20031030

Description of problem:
A bug in /usr/lib/rpm/perl.req causes rpm to generate extra
requirements for perl scripts:  if a perl script contains variable
definitions like this:

$INFO =<<"_INFO";
You can
use this script to test the bug in perl.req
_INFO


And if the block contains a line beginning with "use "(ignoring
leading spaces and tabulars), perl.req will generate requirement like

perl(this)

The bug should exist in older versions of rpm.

Version-Release number of selected component (if applicable):
rpm-build-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1.write a perl script that contains a block described in the
'description', save it as 'test.pl'
2.run 'echo test.pl | /usr/lib/rpm/perl.req

Actual Results:  the result contains a line like:

perl(this)

Expected Results:  no such lines

Additional info:

You can test it using the source rpm MySQL-4.0.16-0.src.rpm from
www.mysql.com, rpmbuild will generate requirements like

perl(this)
perl(the)

for the MySQL-client and MySQL-bench rpms.

Comment 1 Chen Xiangyang 2003-11-13 04:30:36 UTC
Created attachment 95938 [details]
A patch to perl.req

Comment 2 Jeff Johnson 2003-12-28 15:13:15 UTC
Added to CVS, should be in rpm-4.2.2-0.8 and later.

Note that perl.req is being phased out, replace with
perldeps.pl {--provides|--requires}

Comment 3 John Flanagan 2004-05-12 04:27:23 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-098.html



Note You need to log in before you can comment on or make changes to this bug.